# class Raven::SidekiqErrorHandler

### Constants

ACTIVEJOB_RESERVED_PREFIX

### Public Instance Methods

call(ex, context) click to toggle source

    # File lib/raven/integrations/sidekiq.rb, line 16
    def call(ex, context)
      context = filter_context(context)
      Raven.capture_exception(
        ex,
        :message => ex.message,
        :extra => { :sidekiq => context },
        :culprit => culprit_from_context(context)
      )
      Context.clear!
      BreadcrumbBuffer.clear!
    end